Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.sap_xserver

### , sap_xserver

- resource type implementation for scalable SAP xserver

## Description

The SAP xserver data service for Oracle Solaris Cluster is managed by the Oracle Solaris Cluster Resource Group Manager (RGM) and is configured as a scalable SAP xserver resource.

You must set the following properties on an SAP xserver resource using the `clresource`(1CL) command.

### Standard Properties

See `r_properties`(5) for a description of the following resource properties.

`Retry_count`

  `Maximum: 10`

  `Default: 2`

  `Tunable:` Any time

`Retry_interval`

  `Maximum: 3600`

  `Default: 620`

  `Tunable:` Any time

`Thorough_probe_interval`

  `Maximum: 3600`

  `Default: 60`

  `Tunable:` Any time

### Extension Properties

`Confdir_list`

  Type string. The full path to the directory that contains the software and database instance of the applications that depend on the xserver. These applications can be any combination of the following applications:

  - SAP DB

  - SAP liveCache

  Default is `/sapdb`. You can modify the value for this property only when you have disabled the resource.

`Independent_Program_Path`

  Type string. The full path to the directory that contains the following programs and libraries for SAP xserver:

  - Programs that are independent of the database software version

  - Libraries for the client runtime environment

  A `SUNW.sap_xserver` resource determines the path to the `x_server` command from the value of this property. The `x_server` command resides in the `bin` subdirectory of the directory that this property specifies.

  You can modify the value for this property only when the resource is disabled.

`Monitor_retry_count`

  Type integer; default is 4. This property controls the restarts of the fault monitor. It indicates the number of times the fault monitor is restarted by the process monitor facility and corresponds to the `-n` option passed to the `pmfadm`(1M) command. The number of restarts is counted in a specified time window (see the property `Monitor_retry_interval`). Note that this property refers to the restarts of the fault monitor itself, not the SAP xserver. The SAP xserver restarts are controlled by the system-defined properties `Thorough_Probe_Interval` and `Retry_Interval`, as specified in their descriptions. See `clresource`(1CL). You can modify the value for this property at any time.

`Monitor_retry_interval`

  Type integer, default is 2. Indicates period of time in minutes during which the PMF counts restarts of the fault monitor and corresponds to the `-t` option passed to the `pmfadm` command. If the number of times the fault monitor fails exceeds the value of `Monitor_retry_count` within this period, the fault monitor is not restarted by the process monitor facility. You can modify the value for this property at any time.

`Probe_timeout`

  Type integer; default is 90. Indicates the time-out value (in seconds) used by the fault monitor to probe a SAP xserver instance. The minimum value is 30. You can modify the value for this property at any time.

`Soft_Stop_Pct`

  Type integer. This property is the percentage of the `Stop` method timeout that is used to stop SAP xserver by using the SAP utility `x_server stop`. If this timeout is exceeded, the `SIGKILL` signal is used to stop all SAP xserver processes. You can modify the value for this property at any time.

  Default is 50.

`Xserver_User`

  Type string array. This property is the SAP xserver system administrator user name. You can modify the value for this property only when you have disabled the resource.

  Default is `root`.

## Examples

Example 1 Configuration Example

For this example to work, you must first install the data service.

The following example creates a scalable SAP xserver resource named `xsvr-rs` in a resource group called `xsvr-rg`. The `xsvr-rg` resource group does not contain a `SharedAddress` resource.

    # clresourcegroup create -p Maximum_primaries=4 \\
    -p Desired_primaries=4 xsvr-rg
    # clresourcetype register SUNW.sap_xserver
    # clresource create -g xsvr-rg -t SUNW.sap_xserver xsrv-rs

In this example, SAP xserver will run on 4 cluster nodes. The SAP xserver extension properties use the default values.

## Attributes

See `attributes`(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | `ha-cluster/data-service/sap-livecache`

## See Also

`pmfadm`(1M), `scha_resource_get`(1HA), `clresourcetype`(1CL),`clresource`(1CL), `clresourcegroup`(1CL) ,`attributes`(5), `r_properties`(5)

Oracle Solaris Cluster Data Service for SAP MaxDB Guide, Oracle Solaris Cluster Data Service for SAP liveCache Guide

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |